FileSender (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.meta
Class FileSender

    java.lang.Object
      rabbit.meta.FileSender

All Implemented Interfaces:
  AsyncListener, HttpHeaderSentListener, MetaHandler

    public class FileSender

extends Object
implements MetaHandler, HttpHeaderSentListener

A file resource handler.

Author:
  Robert Olofsson

Constructor Summary
`FileSender()`

Method Summary
`void` | `failed(Exception e)` Reading failed
`void` | `handle(HttpHeader request, SProperties htab, Connection con, TrafficLogger tlProxy, TrafficLogger tlClient)` Handle a client request.
`void` | `httpHeaderSent()` The http header has been sent.
`void` | `timeout()` The operation timed out

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSender

    public FileSender()

Method Detail

### handle

    public void handle(HttpHeader request,
                       SProperties htab,
                       Connection con,
                       TrafficLogger tlProxy,
                       TrafficLogger tlClient)
                throws IOException

  Description copied from interface: `MetaHandler`
  Handle a client request.

  Specified by:
    `handle` in interface `MetaHandler`
  Parameters:
    `request` - the http request header.
    `htab` - the supplied argument to the page (CGI-parameters).
    `con` - the Connection that is serving the request.
    `tlProxy` - the TrafficLogger to log proxy traffic on.
    `tlClient` - the TrafficLogger to log client traffic on.
  Throws:
    `IOException`

### httpHeaderSent

    public void httpHeaderSent()

  Description copied from interface: `HttpHeaderSentListener`
  The http header has been sent.

  Specified by:
    `httpHeaderSent` in interface `HttpHeaderSentListener`

### failed

    public void failed(Exception e)

  Description copied from interface: `AsyncListener`
  Reading failed

  Specified by:
    `failed` in interface `AsyncListener`
  Parameters:
    `e` - the real reason the operation failed.

### timeout

    public void timeout()

  Description copied from interface: `AsyncListener`
  The operation timed out

  Specified by:
    `timeout` in interface `AsyncListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD